# Generated by Django 3.0.9 on 2020-09-04 05:22

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('library', '0004_auto_20200902_1542'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='userprofile',
            name='profile_books_borrowed',
        ),
        migrations.RemoveField(
            model_name='userprofile',
            name='profile_registration_date',
        ),
        migrations.AlterField(
            model_name='author',
            name='author_description',
            field=models.TextField(),
        ),
        migrations.CreateModel(
            name='BookProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('bookprofile_expire', models.DateTimeField()),
                ('bookprofile_book', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='library.Book')),
                ('bookprofile_user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='library.UserProfile')),
            ],
        ),
    ]
